<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.NotIndexableException Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html">NotIndexableException</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_not_indexable_exception-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.NotIndexableException Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Exception which is thrown if a triple of a metadata graph could not be indexed.  
 <a href="class_semantic_search_implementation_1_1_not_indexable_exception.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.NotIndexableException:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_implementation_1_1_not_indexable_exception.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a52ef9eeaf159ce899e1519eb3f3f482d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html">NotIndexableException</a>(string reason) string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html#a52ef9eeaf159ce899e1519eb3f3f482d">Reason</a> =&gt; <a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html#adc69ed3a8c732961a32185410584095b">_reason</a></td></tr>
<tr class="separator:a52ef9eeaf159ce899e1519eb3f3f482d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:adc69ed3a8c732961a32185410584095b"><td class="memItemLeft" align="right" valign="top">readonly string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html#adc69ed3a8c732961a32185410584095b">_reason</a></td></tr>
<tr class="separator:adc69ed3a8c732961a32185410584095b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Exception which is thrown if a triple of a metadata graph could not be indexed. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="adc69ed3a8c732961a32185410584095b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc69ed3a8c732961a32185410584095b">&#9670;&nbsp;</a></span>_reason</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string SemanticSearchImplementation.NotIndexableException._reason</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a52ef9eeaf159ce899e1519eb3f3f482d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52ef9eeaf159ce899e1519eb3f3f482d">&#9670;&nbsp;</a></span>Reason</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html">NotIndexableException</a> (string reason) string SemanticSearchImplementation.NotIndexableException.Reason =&gt; <a class="el" href="class_semantic_search_implementation_1_1_not_indexable_exception.html#adc69ed3a8c732961a32185410584095b">_reason</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_not_indexable_exception_8cs.html">NotIndexableException.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
